Machacha

Discography (22)

2016

Tigerblod

Idiotsikker Records · ISR020 · LP

2018

Ikonisk

Run For Cover Records · RFC062 · LP

2018

Tigerblod (DJ FMD Remix)

Rå Records · RAA003 · LP

2019

NikMedNakkenMusik

Run For Cover Records · RFC074 · LP

2019

Gorillahjerte

Run For Cover Records · RFC080 · LP

2020

ExacteFuckingREMIX

Rekords Records · LP

2 ver.
2020

Dedikeret Dæmon

Copenhagen Crates · LP

4 ver.
2020

I Zonen

Copenhagen Crates · LP

3 ver.
2020

Blod, Paranoia & Tårer

Run For Cover Records · RFC086 · LP

2020

ExacteFUCKINGment

Run For Cover Records · RFC090 · LP

2020

Immortalem

Not On Label · none · LP

2021

Fuldblods

Copenhagen Crates · LP

4 ver.
2021

Michelle Pfeiffer

Copenhagen Crates · LP

3 ver.
2021

Hemmelige Alfabeter

Not On Label · none · LP

2022

Monkeyface Morder

Copenhagen Crates · LP

4 ver.
2022

LAVA

Copenhagen Crates · LP

4 ver.
2022

Kæmper

Copenhagen Crates · LP

3 ver.
2024

Kunst.Art

Copenhagen Crates · LP

4 ver.
2024

Kakkalos

Copenhagen Crates · LP

3 ver.
2024

Skyskraber

Copenhagen Crates · LP

3 ver.

Appearances (174)

Discography (42)

2017

Medicin

Run For Cover Records · LP

2 ver.
2018

Mørket

Run For Cover Records · RFC069 · LP

2020

A Moment In Time

Copenhagen Crates · LP

6 ver.
2020

Run For Cover Lockdown

Run For Cover Records · LP

2 ver.
2020

Rekords Kompilation

Rekords Records · REKREC017 · LP

2021

Copenhagen Crates Presents "The Hundred"

Copenhagen Crates · LP

8 ver.
2021

Dark Nights And D Fitted's

Copenhagen Crates · LP

6 ver.
2021

Hakkedrenge

Copenhagen Crates · LP

8 ver.
2021

New Phone Who Dis?

Copenhagen Crates · LP

5 ver.
2021

A Stream Of Consciousness

Copenhagen Crates · LP

5 ver.
2021

LGNDR

Copenhagen Crates · LP

5 ver.
2022

The Lead Lined Wall

Copenhagen Crates · LP

7 ver.
2022

Bulletproof Bathrobes

Copenhagen Crates · LP

8 ver.
2022

Subcriminal Thoughts

Copenhagen Crates · LP

6 ver.
2022

Pexrl Jvm

Copenhagen Crates · LP

3 ver.
2022

Heightened Senses

Copenhagen Crates · LP

5 ver.
2023

Malice At The Palace

Copenhagen Crates · LP

7 ver.
2023

.357

Copenhagen Crates · LP

7 ver.
2023

Almighty

Copenhagen Crates · LP

4 ver.
2023

Give Us Our Daily Bread

Copenhagen Crates · LP

4 ver.